跳到內容

已登入會員的個人資料

GET
/v1/me
curl --request GET \
--url https://api.vimine.network/v1/me \
--header 'Authorization: Bearer <token>'

個人資料

媒體類型application/json
object
sub
必填

此人的主體識別碼,與識別碼權杖中的相同

string
email
必填
string 格式: email
email_verified
必填
boolean
first_name
string
可為 null
last_name
string
可為 null
phone
string
可為 null
dob
string 格式: date
可為 null
gender

僅用於統計

string
可為 null
允許的值: M F
birthplace
string
可為 null
birth_country

ISO 3166-1 alpha-2

string
可為 null
codicefiscale

可選:一個人可以沒有稅號

string
可為 null
codicefiscale_check

當事人的身份識別方式。matched:與其個人資訊一致的稅號;mismatch_confirmed:不一致、但已由當事人確認的稅號;absent:沒有稅號——透過出生日期、出生地和出生國識別;null:尚未識別(不能申請會員資格)

string
可為 null
允許的值: matched mismatch_confirmed absent
locale

當事人為平臺及其郵件選擇的語言;null:從未選擇——依次採用請求的語言、協會的語言

string
可為 null
允許的值: it en zh-Hans zh-Hant fr es de pt-BR
updated_at
string 格式: date-time
可為 null
範例
{
"gender": "M",
"codicefiscale_check": "matched",
"locale": "it"
}

請求無效

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

缺少憑證或憑證無效

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

不允許此操作

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

找不到

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

超出速率限制

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}

內部錯誤

媒體類型application/problem+json
object
type
必填
string 格式: uri
title
必填
string
status
必填
integer
detail
string
code
必填
string
request_id
string
errors
Array<object>
object
field
string
code
string
message
string
範例自動產生
{
"type": "https://example.com",
"title": "example",
"status": 1,
"detail": "example",
"code": "example",
"request_id": "example",
"errors": [
{
"field": "example",
"code": "example",
"message": "example"
}
]
}